Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/gppref.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/gppref.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/gppref.F90	(revision 5160)
@@ -134,5 +134,5 @@
 IF (LVERTFE) THEN
   DO JLEV=1,KFLEV
-!   print *,'GPPREF: LVERTFE KFLEV KSTART KPROF JLEV',LVERTFE,KFLEV,KSTART,KPROF,JLEV
+!   PRINT *,'GPPREF: LVERTFE KFLEV KSTART KPROF JLEV',LVERTFE,KFLEV,KSTART,KPROF,JLEV
     PRESF(KSTART:KPROF,JLEV)=VAF(JLEV)+VBF(JLEV)*PRESH(KSTART:KPROF,KFLEV)  
   ENDDO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/gpxyb.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/gpxyb.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/gpxyb.F90	(revision 5160)
@@ -121,5 +121,5 @@
 ! The first block if is for economy (no do loop start up) and the second
 ! for safety.
-!print *,'GPXYB: NDLNPR RHYDR0=',NDLNPR,RHYDR0
+!PRINT *,'GPXYB: NDLNPR RHYDR0=',NDLNPR,RHYDR0
 TOPPRES=0.1  !!!!! A REVOIR (MPL) 29042010 passe de 0 a 0.1 comme ARPEGE
 IF(PRES(KSTART,0) <= TOPPRES)THEN
@@ -139,5 +139,5 @@
 !              --------------------
 
-!print *,'NDLNPR LVERTFE',NDLNPR,LVERTFE
+!PRINT *,'NDLNPR LVERTFE',NDLNPR,LVERTFE
 IF(NDLNPR == 0) THEN
 
@@ -177,8 +177,8 @@
          & *(PVDELB(JLEV)+PVC(JLEV)*PLNPR(JLON,JLEV)*PRDELP(JLON,&
          & JLEV))  
-!       print *,'GPXYB JLEV JLON JJ PRES ZPRES PDELP ', JLEV,JLON,JJ,PRES(JLON,JLEV),ZRPRES(JLON,JJ),PDELP(JLON,JLEV)
-!       print *,'GPXYB JLEV JLON JM PRDELP PLNPR ', JLEV,JLON,JM,PRDELP(JLON,JLEV),PLNPR (JLON,JLEV)
-!       print *,'GPXYB JLEV JLON JJ PRPRES PALPH ', JLEV,JLON,JJ,PRPRES(JLON,JLEV),PALPH (JLON,JLEV)
-!       print *,'GPXYB JLEV JLON PRPP PRTGR PVDELB PVC ', JLEV,JLON,PRPP  (JLON,JLEV),PRTGR (JLON,JLEV),PVDELB(JLEV),PVC(JLEV)
+!       PRINT *,'GPXYB JLEV JLON JJ PRES ZPRES PDELP ', JLEV,JLON,JJ,PRES(JLON,JLEV),ZRPRES(JLON,JJ),PDELP(JLON,JLEV)
+!       PRINT *,'GPXYB JLEV JLON JM PRDELP PLNPR ', JLEV,JLON,JM,PRDELP(JLON,JLEV),PLNPR (JLON,JLEV)
+!       PRINT *,'GPXYB JLEV JLON JJ PRPRES PALPH ', JLEV,JLON,JJ,PRPRES(JLON,JLEV),PALPH (JLON,JLEV)
+!       PRINT *,'GPXYB JLEV JLON PRPP PRTGR PVDELB PVC ', JLEV,JLON,PRPP  (JLON,JLEV),PRTGR (JLON,JLEV),PVDELB(JLEV),PVC(JLEV)
       ENDDO
       JTEMP=JM
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lw.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lw.F90	(revision 5160)
@@ -142,5 +142,5 @@
 
 IF (LHOOK) CALL DR_HOOK('LW',0,ZHOOK_HANDLE)
-print *,'    LW: Avant LWU'
+PRINT *,'    LW: Avant LWU'
 CALL LWU &
  & (  KIDIA, KFDIA, KLON, KLEV,&
@@ -156,5 +156,5 @@
 !                ---------------------------------
 
-print *,'    LW: Avant LWBV'
+PRINT *,'    LW: Avant LWBV'
 CALL LWBV &
  & ( KIDIA, KFDIA, KLON , KLEV  , KMODE,&
@@ -169,5 +169,5 @@
 !                --------------------------------
 
-print *,'    LW: Avant LWC'
+PRINT *,'    LW: Avant LWC'
 CALL LWC &
  & ( KIDIA , KFDIA, KLON  , KLEV,&
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwb.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwb.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwb.F90	(revision 5160)
@@ -115,5 +115,5 @@
 !                  ------------------------------
 
-print *,'dans LWB'
+PRINT *,'dans LWB'
 IF (LHOOK) CALL DR_HOOK('LWB',0,ZHOOK_HANDLE)
 ILEV2=2*KLEV
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwbv.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwbv.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwbv.F90	(revision 5160)
@@ -123,5 +123,5 @@
 
 IF (LHOOK) CALL DR_HOOK('LWBV',0,ZHOOK_HANDLE)
-print *,'LWBV: avant LWB'
+PRINT *,'LWBV: avant LWB'
 CALL LWB &
  & ( KIDIA, KFDIA, KLON  , KLEV  , KMODE,&
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwc.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwc.F90	(revision 5160)
@@ -114,5 +114,5 @@
 !100  CONTINUE
 
-!      print *,' Enter LWC '
+!      PRINT *,' Enter LWC '
 IF (LHOOK) CALL DR_HOOK('LWC',0,ZHOOK_HANDLE)
 DO JL = KIDIA,KFDIA
@@ -152,5 +152,5 @@
   ENDDO
 ENDDO
-!      print *,' LWC after Initialisation to clear-sky fluxes'
+!      PRINT *,' LWC after Initialisation to clear-sky fluxes'
 
 !*         2.1     FLUXES FOR ONE OVERCAST UNITY EMISSIVITY CLOUD
@@ -211,5 +211,5 @@
 
 ENDDO
-!      print *,' LWC after 213: Fluxes for unity emissivity'
+!      PRINT *,' LWC after 213: Fluxes for unity emissivity'
 
 !*         2.2     CLOUD COVER MATRIX
@@ -228,5 +228,5 @@
   ENDDO
 ENDDO
-!      print *,' LWC after Initialisation CC matrix'
+!      PRINT *,' LWC after Initialisation CC matrix'
 
 !*         2.4     CLOUD COVER BELOW THE LEVEL OF CALCULATION
@@ -279,5 +279,5 @@
 
 ENDDO
-!      print *,' LWC after 244: CC below level of calculation'
+!      PRINT *,' LWC after 244: CC below level of calculation'
 
 !*         2.5     CLOUD COVER ABOVE THE LEVEL OF CALCULATION
@@ -329,5 +329,5 @@
   ENDDO
 ENDDO
-!      print *,' LWC after 254: CC above level of calculation'
+!      PRINT *,' LWC after 254: CC above level of calculation'
 
 !*         3.      FLUXES FOR PARTIAL/MULTIPLE LAYERED CLOUDINESS
@@ -371,5 +371,5 @@
 
 ENDDO
-!      print *,' LWC after 317: Downward fluxes'
+!      PRINT *,' LWC after 317: Downward fluxes'
 
 !*         3.2     UPWARD FLUX AT THE SURFACE
@@ -413,5 +413,5 @@
 
 ENDDO
-!      print *,' LWC after 337: Upward fluxes'
+!      PRINT *,' LWC after 337: Upward fluxes'
 
 !-----------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwu.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwu.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/lwu.F90	(revision 5160)
@@ -223,13 +223,13 @@
     IAE2 = 3 * KLEV + 1 - (IJ + 1)
     IAE3 = 3 * KLEV + 1 - IJPN
-    ! print *,'IAE1= ',IAE1
-    ! print *,'IAE2= ',IAE2
-    ! print *,'IAE3= ',IAE3
-    ! print *,'KIDIA= ',KIDIA
-    ! print *,'KFDIA= ',KFDIA
-    ! print *,'KLEV= ',KLEV
+    ! PRINT *,'IAE1= ',IAE1
+    ! PRINT *,'IAE2= ',IAE2
+    ! PRINT *,'IAE3= ',IAE3
+    ! PRINT *,'KIDIA= ',KIDIA
+    ! PRINT *,'KFDIA= ',KFDIA
+    ! PRINT *,'KLEV= ',KLEV
     DO JAE = 1, 6
       DO JL = KIDIA, KFDIA
-        !   print *,'JL= ',JL,'-JAE= ',JAE,'-JK= ',JK,'-NSIL= ',NSIL
+        !   PRINT *,'JL= ',JL,'-JAE= ',JAE,'-JK= ',JK,'-NSIL= ',NSIL
         ZUAER(JL, JAE) = &
                 & (RAER(JAE, 1) * PAER(JL, 1, JK) + RAER(JAE, 2) * PAER(JL, 2, JK)&
@@ -363,5 +363,5 @@
 
   ENDDO
-  !      print *,'END OF LWU'
+  !      PRINT *,'END OF LWU'
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/posnam.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/posnam.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/posnam.F90	(revision 5160)
@@ -71,8 +71,8 @@
 ISTATUS=0
 ISCAN=0
-print *,'On cherche a lire:',CDNAML
+PRINT *,'On cherche a lire:',CDNAML
 DO WHILE (ISTATUS==0 .AND. ISCAN==0)
   READ(KULNAM,'(A)',IOSTAT=ISTATUS) CLINE
-! print *,'CLINE,ISTATUS= ',CLINE,ISTATUS
+! PRINT *,'CLINE,ISTATUS= ',CLINE,ISTATUS
   SELECT CASE (ISTATUS)
   CASE (:-1)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/radlsw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/radlsw.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/radlsw.F90	(revision 5160)
@@ -1064,5 +1064,5 @@
 !                 ------------------------------------
 
-!print *,'RADLSW: LPHYLIN, LRRTM',LPHYLIN, LRRTM
+!PRINT *,'RADLSW: LPHYLIN, LRRTM',LPHYLIN, LRRTM
 IF (.NOT.LPHYLIN) THEN
   IF ( .NOT. LRRTM) THEN
@@ -1076,5 +1076,5 @@
      & ZEMIT , PFLUX , PFLUC &
      & )  
-!   print *,'RADLSW: apres CALL LW'
+!   PRINT *,'RADLSW: apres CALL LW'
     IF(LLDEBUG) THEN
     call writefield_phy('radlsw_flux1',PFLUX(:,1,:),klev+1)
@@ -1103,5 +1103,5 @@
     ENDDO
 
-!   print *,'RADLSW: avant CALL RRTM_RRTM_140GP,PAP=',PAP(1,:)
+!   PRINT *,'RADLSW: avant CALL RRTM_RRTM_140GP,PAP=',PAP(1,:)
     CALL RRTM_RRTM_140GP &
      & ( KIDIA , KFDIA , KLON  , KLEV,&
@@ -1113,5 +1113,5 @@
      & PTAU_LW,&
      & ZEMIT , PFLUX , PFLUC , ZTCLEAR )
-!   print *,'RADLSW: apres CALL RRTM_RRTM_140GP'
+!   PRINT *,'RADLSW: apres CALL RRTM_RRTM_140GP'
 
   ENDIF
@@ -1120,5 +1120,5 @@
   PFLUX(:,:,:)= 0.0_JPRB
   PFLUC(:,:,:)= 0.0_JPRB
-! print *,'RADLSW: ZEMIT,PFLUX et PFLUC = 0'
+! PRINT *,'RADLSW: ZEMIT,PFLUX et PFLUC = 0'
 ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/read_rsun_rrtm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/read_rsun_rrtm.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/read_rsun_rrtm.F90	(revision 5160)
@@ -102,5 +102,5 @@
       solaire=TSI(days_elapsed+1)
 
-      print *,'READ_RSUN_RRTM day=', days_elapsed+1,' solaire=', solaire, ' RSUN=', RSUN(1:NSW)
+      PRINT *,'READ_RSUN_RRTM day=', days_elapsed+1,' solaire=', solaire, ' RSUN=', RSUN(1:NSW)
 
     ENDIF !--fin allocation
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90	(revision 5160)
@@ -85,5 +85,5 @@
 
     IF (nbands_sw_rrtm.NE.6) THEN 
-        print *,'nbands_sw_rrtm doit etre egal a 6 dans readaerosolstrat_rrtm'
+        PRINT *,'nbands_sw_rrtm doit etre egal a 6 dans readaerosolstrat_rrtm'
         STOP
     ENDIF
@@ -95,5 +95,5 @@
     n_lev = size(lev)
     IF (n_lev.NE.klev) THEN 
-       print *,'Le nombre de niveaux n est pas egal a klev'
+       PRINT *,'Le nombre de niveaux n est pas egal a klev'
        STOP
     ENDIF
@@ -102,9 +102,9 @@
     CALL nf95_gw_var(ncid_in, varid, latitude)
     n_lat = size(latitude)
-    print *, 'LAT aerosol strato=', n_lat, latitude
+    PRINT *, 'LAT aerosol strato=', n_lat, latitude
 
     IF (grid_type/=unstructured) THEN
       IF (n_lat.NE.nbp_lat) THEN 
-         print *,'Le nombre de lat n est pas egal a nbp_lat'
+         PRINT *,'Le nombre de lat n est pas egal a nbp_lat'
          STOP
       ENDIF
@@ -114,9 +114,9 @@
     CALL nf95_gw_var(ncid_in, varid, longitude)
     n_lon = size(longitude)
-    print *, 'LON aerosol strato=', n_lon, longitude
+    PRINT *, 'LON aerosol strato=', n_lon, longitude
 
     IF (grid_type/=unstructured) THEN
       IF (n_lon.NE.nbp_lon) THEN 
-         print *,'Le nombre de lon n est pas egal a nbp_lon'
+         PRINT *,'Le nombre de lon n est pas egal a nbp_lon'
          STOP
       ENDIF
@@ -127,7 +127,7 @@
     CALL nf95_gw_var(ncid_in, varid, time)
     n_month = size(time)
-    print *, 'TIME aerosol strato=', n_month, time
+    PRINT *, 'TIME aerosol strato=', n_month, time
     IF (n_month.NE.12) THEN 
-       print *,'Le nombre de month n est pas egal a 12'
+       PRINT *,'Le nombre de month n est pas egal a 12'
        STOP
     ENDIF
@@ -140,5 +140,5 @@
     CALL nf95_inq_varid(ncid_in, "TAUSTRAT", varid)
     ncerr = nf90_get_var(ncid_in, varid, tauaerstrat)
-    print *,'code erreur readaerosolstrato=', ncerr, varid
+    PRINT *,'code erreur readaerosolstrato=', ncerr, varid
 
     CALL nf95_close(ncid_in)
@@ -146,5 +146,5 @@
 !---select the correct month
     IF (mth_cur.LT.1.OR.mth_cur.GT.12) THEN
-      print *,'probleme avec le mois dans readaerosolstrat =', mth_cur
+      PRINT *,'probleme avec le mois dans readaerosolstrat =', mth_cur
     ENDIF
     tauaerstrat_mois(:,:,:) = tauaerstrat(:,:,:,mth_cur)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 5160)
@@ -92,5 +92,5 @@
 !--check mth_cur
         IF (mth_cur.LT.1.OR.mth_cur.GT.12) THEN
-          print *,'probleme avec le mois dans readaerosolstrat =', mth_cur
+          PRINT *,'probleme avec le mois dans readaerosolstrat =', mth_cur
         ENDIF
 
@@ -116,5 +116,5 @@
         IF (grid_type/=unstructured) THEN
            IF (n_lat.NE.nbp_lat) THEN 
-             print *, 'latitude=', n_lat, nbp_lat
+             PRINT *, 'latitude=', n_lat, nbp_lat
              abort_message='Le nombre de lat n est pas egal a nbp_lat'
              CALL abort_physic(modname,abort_message,1)
@@ -133,5 +133,5 @@
         CALL nf95_gw_var(ncid_in, varid, wav)
         n_wav = size(wav)
-        print *, 'WAV aerosol strato=', n_wav, wav
+        PRINT *, 'WAV aerosol strato=', n_wav, wav
         IF (n_wav.NE.NSW) THEN 
            abort_message='Le nombre de wav n est pas egal a NSW'
@@ -146,15 +146,15 @@
         CALL nf95_inq_varid(ncid_in, "TAU_SUN", varid)
         ncerr = nf90_get_var(ncid_in, varid, tauaerstrat)
-        print *,'code erreur readaerosolstrato=', ncerr, varid
+        PRINT *,'code erreur readaerosolstrato=', ncerr, varid
 
 !--reading stratospheric aerosol omega per layer
         CALL nf95_inq_varid(ncid_in, "OME_SUN", varid)
         ncerr = nf90_get_var(ncid_in, varid, pizaerstrat)
-        print *,'code erreur readaerosolstrato=', ncerr, varid
+        PRINT *,'code erreur readaerosolstrato=', ncerr, varid
 
 !--reading stratospheric aerosol g per layer
         CALL nf95_inq_varid(ncid_in, "GGG_SUN", varid)
         ncerr = nf90_get_var(ncid_in, varid, cgaerstrat)
-        print *,'code erreur readaerosolstrato sw=', ncerr, varid
+        PRINT *,'code erreur readaerosolstrato sw=', ncerr, varid
 
         CALL nf95_close(ncid_in)
@@ -224,5 +224,5 @@
         CALL nf95_gw_var(ncid_in, varid, wav)
         n_wav = size(wav)
-        print *, 'WAV aerosol strato=', n_wav, wav
+        PRINT *, 'WAV aerosol strato=', n_wav, wav
         IF (n_wav.NE.NLW) THEN 
            abort_message='Le nombre de wav n est pas egal a NLW'
@@ -235,5 +235,5 @@
         CALL nf95_inq_varid(ncid_in, "TAU_EAR", varid)
         ncerr = nf90_get_var(ncid_in, varid, taulwaerstrat)
-        print *,'code erreur readaerosolstrato lw=', ncerr, varid
+        PRINT *,'code erreur readaerosolstrato lw=', ncerr, varid
 
         CALL nf95_close(ncid_in)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/rrtm_rtrn1a_140gp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/rrtm_rtrn1a_140gp.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/rrtm_rtrn1a_140gp.F90	(revision 5160)
@@ -529,5 +529,5 @@
 DO I_LEV = 1, KLEV
   DO IBAND = K_ISTART, K_IEND
-! print *,'RTRN1A: I_LEV JPLAY IBAND INDLAY',I_LEV,JPLAY,IBAND,INDLAY(I_LEV)
+! PRINT *,'RTRN1A: I_LEV JPLAY IBAND INDLAY',I_LEV,JPLAY,IBAND,INDLAY(I_LEV)
 !----              
 !- Calculate the integrated Planck functions for at the
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_cldprop.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_cldprop.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_cldprop.F90	(revision 5160)
@@ -116,5 +116,5 @@
 
 IF (I_NDBUG <= 2) THEN
-  print *,'cldprop before loop K_INFLAG, K_ICEFLAG, K_LIQFLAG:',K_INFLAG,K_ICEFLAG,K_LIQFLAG,IB1,IB2
+  PRINT *,'cldprop before loop K_INFLAG, K_ICEFLAG, K_LIQFLAG:',K_INFLAG,K_ICEFLAG,K_LIQFLAG,IB1,IB2
 ENDIF
 
@@ -216,5 +216,5 @@
         ENDDO
       ENDIF
-      print *,'end of ice computations for I_LAY=',I_LAY
+      PRINT *,'end of ice computations for I_LAY=',I_LAY
                   
 !  Calculation of absorption coefficients due to water clouds.
@@ -270,5 +270,5 @@
 
       IF (I_NDBUG <= 1) THEN
-        print *,'end of liquid water computations for I_LAY=',I_LAY
+        PRINT *,'end of liquid water computations for I_LAY=',I_LAY
       ENDIF
 
@@ -332,5 +332,5 @@
 
 IF (I_NDBUG <= 1) THEN
-  print *,'about to leave SRTM_CLDPROP'
+  PRINT *,'about to leave SRTM_CLDPROP'
 ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_setcoef.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_setcoef.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_setcoef.F90	(revision 5160)
@@ -94,5 +94,5 @@
 
 !IF (NDBUG.LE.3) THEN
-!  print *,'-------- Computed in SETCOEF --------'
+!  PRINT *,'-------- Computed in SETCOEF --------'
 !  print 8990
 8990 format(18x,'  T     PFAC00,    01,    10,    11  PCO2MULT     MOL   &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_spcvrt.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_spcvrt.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_spcvrt.F90	(revision 5160)
@@ -203,5 +203,5 @@
 IB1=JPB1
 IB2=JPB2
-!print *,'IB1, IB2, KSW, KMOL, KLEV: ', IB1,IB2,KSW,KMOL,KLEV
+!PRINT *,'IB1, IB2, KSW, KMOL, KLEV: ', IB1,IB2,KSW,KMOL,KLEV
 
 IW=0
@@ -215,5 +215,5 @@
   ZINCF14(IBM)=0.0_JPRB
 
-!  print *,'=== spectral band === JB= ',JB,' ====== i.e. IBM= ',IBM,' with IGT= ',IGT
+!  PRINT *,'=== spectral band === JB= ',JB,' ====== i.e. IBM= ',IBM,' with IGT= ',IGT
         
 !-- for each band, computes the gaseous and Rayleigh optical thickness 
@@ -229,5 +229,5 @@
      &   ZSFLXZEN, ZTAUG    , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL16'
+!    PRINT *,'After  SRTM_TAUMOL16'
 
   ELSEIF (JB == 17) THEN
@@ -240,5 +240,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL17'
+!    PRINT *,'After  SRTM_TAUMOL17'
 
   ELSEIF (JB == 18) THEN
@@ -251,5 +251,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL18'
+!    PRINT *,'After  SRTM_TAUMOL18'
 
   ELSEIF (JB == 19) THEN
@@ -262,5 +262,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL19'
+!    PRINT *,'After  SRTM_TAUMOL19'
 
   ELSEIF (JB == 20) THEN
@@ -273,5 +273,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL20'
+!    PRINT *,'After  SRTM_TAUMOL20'
 
   ELSEIF (JB == 21) THEN
@@ -284,5 +284,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL21'
+!    PRINT *,'After  SRTM_TAUMOL21'
 
   ELSEIF (JB == 22) THEN
@@ -295,5 +295,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL22'
+!    PRINT *,'After  SRTM_TAUMOL22'
 
   ELSEIF (JB == 23) THEN
@@ -306,5 +306,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL23'
+!    PRINT *,'After  SRTM_TAUMOL23'
 
   ELSEIF (JB == 24) THEN
@@ -317,5 +317,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL24'
+!    PRINT *,'After  SRTM_TAUMOL24'
 
   ELSEIF (JB == 25) THEN
@@ -329,5 +329,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR   &
      & )  
-!    print *,'After  SRTM_TAUMOL25'
+!    PRINT *,'After  SRTM_TAUMOL25'
 
   ELSEIF (JB == 26) THEN
@@ -341,5 +341,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL26'
+!    PRINT *,'After  SRTM_TAUMOL26'
 
   ELSEIF (JB == 27) THEN
@@ -353,5 +353,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL27'
+!    PRINT *,'After  SRTM_TAUMOL27'
 
   ELSEIF (JB == 28) THEN
@@ -365,5 +365,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR  &
      & )  
-!    print *,'After  SRTM_TAUMOL28'
+!    PRINT *,'After  SRTM_TAUMOL28'
 
   ELSEIF (JB == 29) THEN
@@ -376,23 +376,23 @@
      &   ZSFLXZEN , ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL29'
+!    PRINT *,'After  SRTM_TAUMOL29'
 
   ENDIF
 
 !  IF (NDBUG.LE.3) THEN
-!    print *,'Incident Solar Flux'
+!    PRINT *,'Incident Solar Flux'
 !    PRINT 9010,(ZSFLXZEN(JG),JG=1,16)
   9010 format(1x,'SolFlx ',16F8.4)
-!    print *,'Optical thickness for molecular absorption for JB= ',JB 
+!    PRINT *,'Optical thickness for molecular absorption for JB= ',JB
 !    DO JK=1,KLEV
 !      PRINT 9011,JK,(ZTAUG(JK,JG),JG=1,16)
   9011  format(1x,'TauGas ',I3,16E9.2)
 !    ENDDO
-!    print *,'Optical thickness for Rayleigh scattering for JB= ',JB 
+!    PRINT *,'Optical thickness for Rayleigh scattering for JB= ',JB
 !    DO JK=1,KLEV
 !      PRINT 9012,JK,(ZTAUR(JK,JG),JG=1,16)
   9012  format(1x,'TauRay ',I3,16E9.2)
 !    ENDDO
-!    print *,'Cloud optical properties for JB= ',JB
+!    PRINT *,'Cloud optical properties for JB= ',JB
 !    DO JK=1,KLEV
 !      PRINT 9013,JK,PFRCL(JK),PTAUC(JK,IBM),POMGC(JK,IBM),PASYC(JK,IBM)
@@ -405,5 +405,5 @@
 
 !    IF (NDBUG.LE.1) THEN
-!      print *,' === JG= ',JG,' === for JB= ',JB,' with IW, IBM, JPLAY, KLEV=',IW,IBM,JPLAY,KLEV
+!      PRINT *,' === JG= ',JG,' === for JB= ',JB,' with IW, IBM, JPLAY, KLEV=',IW,IBM,JPLAY,KLEV
 !    ENDIF
 
@@ -460,5 +460,5 @@
     ZRUP(KLEV+1) =PALBP(IBM)
     ZRUPD(KLEV+1)=PALBD(IBM)
-!    if (NDBUG < 2) print *,'SWSPCTRL after 1 with JB,JG,IBM and IW= ',JB,JG,IBM,IW
+!    if (NDBUG < 2) PRINT *,'SWSPCTRL after 1 with JB,JG,IBM and IW= ',JB,JG,IBM,IW
     
     DO JK=1,KLEV
@@ -511,5 +511,5 @@
 !      end if
     ENDDO    
-!    if (NDBUG < 2) print *,'SWSPCTRL after 2'
+!    if (NDBUG < 2) PRINT *,'SWSPCTRL after 2'
 
 !-- Delta scaling for clear-sky / aerosol optical quantities
@@ -525,5 +525,5 @@
      &   LLRTCHK, ZGCC  , PRMU0, ZTAUC , ZOMCC ,&
      &   ZREFC  , ZREFDC, ZTRAC, ZTRADC )  
-!    if (NDBUG < 2) print *,'SWSPCTR after SWREFTRA for clear-sky'
+!    if (NDBUG < 2) PRINT *,'SWSPCTR after SWREFTRA for clear-sky'
     
 !-- Delta scaling for cloudy quantities
@@ -545,10 +545,10 @@
 
     ENDDO
-!    if (NDBUG < 2) print *,'SWSPCTR after Delta scaling'
+!    if (NDBUG < 2) PRINT *,'SWSPCTR after Delta scaling'
     
     CALL SRTM_REFTRA ( KLEV, I_KMODTS ,&
      &   LLRTCHK, ZGCO  , PRMU0, ZTAUO , ZOMCO ,&
      &   ZREFO , ZREFDO, ZTRAO, ZTRADO )  
-!    if (NDBUG < 2) print *,'SWSPCTR after SWREFTRA for cloudy'
+!    if (NDBUG < 2) PRINT *,'SWSPCTR after SWREFTRA for cloudy'
 
     DO JK=1,KLEV
@@ -582,9 +582,9 @@
 
     ENDDO           
-!    if (NDBUG < 2) print *,'SRTM_SPCVRT after combining clear and cloudy'
+!    if (NDBUG < 2) PRINT *,'SRTM_SPCVRT after combining clear and cloudy'
                  
 !-- vertical quadrature producing clear-sky fluxes
 
-!    print *,'SRTM_SPCVRT after 3 before SRTM_VRTQDR clear'
+!    PRINT *,'SRTM_SPCVRT after 3 before SRTM_VRTQDR clear'
     
     CALL SRTM_VRTQDR ( KLEV, IW ,&
@@ -594,5 +594,5 @@
       
 !    IF (NDBUG < 2) THEN
-!      print *,'SRTM_SPCVRT out of SRTM_VRTQDR for clear IW=',IW  
+!      PRINT *,'SRTM_SPCVRT out of SRTM_VRTQDR for clear IW=',IW
 !      DO JK=1,KLEV+1
 !        print 9201,JK,ZCD(JK,IW),ZCU(JK,IW)
@@ -603,5 +603,5 @@
 !-- vertical quadrature producing cloudy fluxes
 
-!    print *,'SRTM_SPCVRT after 4 before SRTM_VRTQDR cloudy'
+!    PRINT *,'SRTM_SPCVRT after 4 before SRTM_VRTQDR cloudy'
     
     CALL SRTM_VRTQDR ( KLEV, IW ,&
@@ -611,5 +611,5 @@
  
 !    IF (NDBUG < 2) THEN     
-!      print *,'SRTM_SPCVRT out of SRTM_VRTQDR for cloudy IW=',IW
+!      PRINT *,'SRTM_SPCVRT out of SRTM_VRTQDR for cloudy IW=',IW
 !      DO JK=1,KLEV+1
 !        print 9202,JK,ZFD(JK,IW),ZFU(JK,IW)
@@ -655,12 +655,12 @@
     ENDDO
 
-!    if (NDBUG < 2) print *,'SRTM_SPCVRT end of JG=',JG,' for JB=',JB,' i.e. IW=',IW
+!    if (NDBUG < 2) PRINT *,'SRTM_SPCVRT end of JG=',JG,' for JB=',JB,' i.e. IW=',IW
   ENDDO             
 !-- end loop on JG
 
-!  print *,' --- JB= ',JB,' with IB1, IB2= ',IB1,IB2
+!  PRINT *,' --- JB= ',JB,' with IB1, IB2= ',IB1,IB2
 ENDDO                    
 !-- end loop on JB
-!if (NDBUG < 2) print *,'SRTM_SPCVRT about to come out'
+!if (NDBUG < 2) PRINT *,'SRTM_SPCVRT about to come out'
 
 !DO IBM=1,14
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_spcvrt_mcica.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_spcvrt_mcica.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_spcvrt_mcica.F90	(revision 5160)
@@ -210,5 +210,5 @@
 IB1=JPB1
 IB2=JPB2
-!print *,'IB1, IB2, KSW, KMOL, KLEV: ', IB1,IB2,KSW,KMOL,KLEV
+!PRINT *,'IB1, IB2, KSW, KMOL, KLEV: ', IB1,IB2,KSW,KMOL,KLEV
 
 IW=0
@@ -222,5 +222,5 @@
   ZINCF14(IBM)=0.0_JPRB
 
-!  print *,'=== spectral band === JB= ',JB,' ====== i.e. IBM= ',IBM,' with IGT= ',IGT
+!  PRINT *,'=== spectral band === JB= ',JB,' ====== i.e. IBM= ',IBM,' with IGT= ',IGT
         
 !-- for each band, computes the gaseous and Rayleigh optical thickness 
@@ -236,5 +236,5 @@
      &   ZSFLXZEN, ZTAUG    , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL16'
+!    PRINT *,'After  SRTM_TAUMOL16'
 
   ELSEIF (JB == 17) THEN
@@ -247,5 +247,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL17'
+!    PRINT *,'After  SRTM_TAUMOL17'
 
   ELSEIF (JB == 18) THEN
@@ -258,5 +258,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL18'
+!    PRINT *,'After  SRTM_TAUMOL18'
 
   ELSEIF (JB == 19) THEN
@@ -269,5 +269,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL19'
+!    PRINT *,'After  SRTM_TAUMOL19'
 
   ELSEIF (JB == 20) THEN
@@ -280,5 +280,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL20'
+!    PRINT *,'After  SRTM_TAUMOL20'
 
   ELSEIF (JB == 21) THEN
@@ -291,5 +291,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL21'
+!    PRINT *,'After  SRTM_TAUMOL21'
 
   ELSEIF (JB == 22) THEN
@@ -302,5 +302,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL22'
+!    PRINT *,'After  SRTM_TAUMOL22'
 
   ELSEIF (JB == 23) THEN
@@ -313,5 +313,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL23'
+!    PRINT *,'After  SRTM_TAUMOL23'
 
   ELSEIF (JB == 24) THEN
@@ -324,5 +324,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL24'
+!    PRINT *,'After  SRTM_TAUMOL24'
 
   ELSEIF (JB == 25) THEN
@@ -336,5 +336,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR   &
      & )  
-!    print *,'After  SRTM_TAUMOL25'
+!    PRINT *,'After  SRTM_TAUMOL25'
 
   ELSEIF (JB == 26) THEN
@@ -348,5 +348,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL26'
+!    PRINT *,'After  SRTM_TAUMOL26'
 
   ELSEIF (JB == 27) THEN
@@ -360,5 +360,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL27'
+!    PRINT *,'After  SRTM_TAUMOL27'
 
   ELSEIF (JB == 28) THEN
@@ -372,5 +372,5 @@
      &   ZSFLXZEN, ZTAUG   , ZTAUR  &
      & )  
-!    print *,'After  SRTM_TAUMOL28'
+!    PRINT *,'After  SRTM_TAUMOL28'
 
   ELSEIF (JB == 29) THEN
@@ -383,18 +383,18 @@
      &   ZSFLXZEN , ZTAUG   , ZTAUR    &
      & )  
-!    print *,'After  SRTM_TAUMOL29'
+!    PRINT *,'After  SRTM_TAUMOL29'
 
   ENDIF
 
 !  IF (NDBUG.LE.3) THEN
-!    print *,'Incident Solar Flux'
+!    PRINT *,'Incident Solar Flux'
 !    PRINT 9010,(ZSFLXZEN(JG),JG=1,16)
   9010 format(1x,'SolFlx ',16F8.4)
-!    print *,'Optical thickness for molecular absorption for JB= ',JB 
+!    PRINT *,'Optical thickness for molecular absorption for JB= ',JB
 !    DO JK=1,KLEV
 !      PRINT 9011,JK,(ZTAUG(JK,JG),JG=1,16)
   9011  format(1x,'TauGas ',I3,16E9.2)
 !    ENDDO
-!    print *,'Optical thickness for Rayleigh scattering for JB= ',JB 
+!    PRINT *,'Optical thickness for Rayleigh scattering for JB= ',JB
 !    DO JK=1,KLEV
 !      PRINT 9012,JK,(ZTAUR(JK,JG),JG=1,16)
@@ -407,8 +407,8 @@
 
 !    IF (NDBUG.LE.1) THEN
-!      print *,' === JG= ',JG,' === for JB= ',JB,' with IW, IBM, JPLAY, KLEV=',IW,IBM,JPLAY,KLEV
+!      PRINT *,' === JG= ',JG,' === for JB= ',JB,' with IW, IBM, JPLAY, KLEV=',IW,IBM,JPLAY,KLEV
 !    ENDIF
 !    IF (NDBUG.LE.3) THEN
-!      print *,'Cloud optical properties for JB= ',JB
+!      PRINT *,'Cloud optical properties for JB= ',JB
 !      DO JK=1,KLEV
 !        PRINT 9013,JK,PFRCL(IW,JK),PTAUC(JK,IW),POMGC(JK,IW),PASYC(JK,IW)
@@ -469,5 +469,5 @@
     ZRUP(KLEV+1) =PALBP(IBM)
     ZRUPD(KLEV+1)=PALBD(IBM)
-!    if (NDBUG < 2) print *,'SWSPCTRL after 1 with JB,JG,IBM and IW= ',JB,JG,IBM,IW
+!    if (NDBUG < 2) PRINT *,'SWSPCTRL after 1 with JB,JG,IBM and IW= ',JB,JG,IBM,IW
     
 
@@ -523,5 +523,5 @@
 !      end if
     ENDDO    
-!    if (NDBUG < 2) print *,'SWSPCTRL after 2'
+!    if (NDBUG < 2) PRINT *,'SWSPCTRL after 2'
 
 !-- Delta scaling for clear-sky / aerosol optical quantities
@@ -537,5 +537,5 @@
      &   LLRTCHK, ZGCC  , PRMU0, ZTAUC , ZOMCC ,&
      &   ZREFC  , ZREFDC, ZTRAC, ZTRADC )  
-!    if (NDBUG < 2) print *,'SWSPCTR after SWREFTRA for clear-sky'
+!    if (NDBUG < 2) PRINT *,'SWSPCTR after SWREFTRA for clear-sky'
     
 !-- Delta scaling for cloudy quantities
@@ -557,10 +557,10 @@
 
     ENDDO
-!    if (NDBUG < 2) print *,'SWSPCTR after Delta scaling'
+!    if (NDBUG < 2) PRINT *,'SWSPCTR after Delta scaling'
     
     CALL SRTM_REFTRA ( KLEV, I_KMODTS ,&
      &   LLRTCHK, ZGCO  , PRMU0, ZTAUO , ZOMCO ,&
      &   ZREFO , ZREFDO, ZTRAO, ZTRADO )  
-!    if (NDBUG < 2) print *,'SWSPCTR after SWREFTRA for cloudy'
+!    if (NDBUG < 2) PRINT *,'SWSPCTR after SWREFTRA for cloudy'
 
     DO JK=1,KLEV
@@ -606,9 +606,9 @@
 
     ENDDO           
-!    if (NDBUG < 2) print *,'SRTM_SPCVRT after combining clear and cloudy'
+!    if (NDBUG < 2) PRINT *,'SRTM_SPCVRT after combining clear and cloudy'
                  
 !-- vertical quadrature producing clear-sky fluxes
 
-!    print *,'SRTM_SPCVRT after 3 before SRTM_VRTQDR clear'
+!    PRINT *,'SRTM_SPCVRT after 3 before SRTM_VRTQDR clear'
     
     CALL SRTM_VRTQDR ( KLEV, IW ,&
@@ -618,5 +618,5 @@
       
 !    IF (NDBUG < 2) THEN
-!      print *,'SRTM_SPCVRT out of SRTM_VRTQDR for clear IW=',IW  
+!      PRINT *,'SRTM_SPCVRT out of SRTM_VRTQDR for clear IW=',IW
 !      DO JK=1,KLEV+1
 !        print 9201,JK,ZCD(JK,IW),ZCU(JK,IW)
@@ -627,5 +627,5 @@
 !-- vertical quadrature producing cloudy fluxes
 
-!    print *,'SRTM_SPCVRT after 4 before SRTM_VRTQDR cloudy'
+!    PRINT *,'SRTM_SPCVRT after 4 before SRTM_VRTQDR cloudy'
     
     CALL SRTM_VRTQDR ( KLEV, IW ,&
@@ -635,5 +635,5 @@
  
 !    IF (NDBUG < 2) THEN     
-!      print *,'SRTM_SPCVRT out of SRTM_VRTQDR for cloudy IW=',IW
+!      PRINT *,'SRTM_SPCVRT out of SRTM_VRTQDR for cloudy IW=',IW
 !      DO JK=1,KLEV+1
 !        print 9202,JK,ZFD(JK,IW),ZFU(JK,IW)
@@ -679,13 +679,13 @@
     ENDDO
 
-!    if (NDBUG < 2) print *,'SRTM_SPCVRT end of JG=',JG,' for JB=',JB,' i.e. IW=',IW
+!    if (NDBUG < 2) PRINT *,'SRTM_SPCVRT end of JG=',JG,' for JB=',JB,' i.e. IW=',IW
   ENDDO             
 !-- end loop on JG
 
-!  print *,' --- JB= ',JB,' with IB1, IB2= ',IB1,IB2
+!  PRINT *,' --- JB= ',JB,' with IB1, IB2= ',IB1,IB2
 ENDDO                    
 !-- end loop on JB
-!if (NDBUG < 2) print *,'SRTM_SPCVRT about to come out'
-!print *,'SRTM_SPCVRT about to come out'
+!if (NDBUG < 2) PRINT *,'SRTM_SPCVRT about to come out'
+!PRINT *,'SRTM_SPCVRT about to come out'
 
 !DO IBM=1,14
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_srtm_224gp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_srtm_224gp.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_srtm_224gp.F90	(revision 5160)
@@ -133,5 +133,5 @@
   IOVLP = 3
 
-  !print *,'Entering srtm_srtm_224gp'
+  !PRINT *,'Entering srtm_srtm_224gp'
 
   ICLDATM = 1
@@ -148,5 +148,5 @@
       !- coefficients related to the cloud optical properties (original RRTM_SW)
 
-      !  print *,'just before SRTM_CLDPROP'
+      !  PRINT *,'just before SRTM_CLDPROP'
 
       !  DO JK=1,KLEV
@@ -218,5 +218,5 @@
       ENDDO
 
-      !  print *,'ZTOTCC ZCLEAR : ',ZTOTCC,' ',ZCLEAR
+      !  PRINT *,'ZTOTCC ZCLEAR : ',ZTOTCC,' ',ZCLEAR
 
       DO IMOL = 1, I_NMOL
@@ -236,5 +236,5 @@
       !    ENDIF
 
-      !  print *,'just before SRTM_SETCOEF'
+      !  PRINT *,'just before SRTM_SETCOEF'
 
       ZFRCL(1:KLEV) = PFRCL(JL, 1:KLEV)
@@ -253,5 +253,5 @@
               &)
 
-      !  print *,'just after SRTM_SETCOEF'
+      !  PRINT *,'just after SRTM_SETCOEF'
 
       !- call the radiation transfer routine
@@ -271,5 +271,5 @@
       !- mixing of aerosols
 
-      !  print *,'Aerosol optical properties computations'
+      !  PRINT *,'Aerosol optical properties computations'
       !  DO JSW=1,KSW
       !    print 9012,JSW,(JAE,RSRTAUA(JSW,JAE),RSRPIZA(JSW,JAE),RSRASYA(JSW,JAE),JAE=1,6)
@@ -335,5 +335,5 @@
       ENDDO
 
-      !  print *,'just before calling STRM_SPCVRT for JL=',JL,' and ZRMU0=',ZRMU0
+      !  PRINT *,'just before calling STRM_SPCVRT for JL=',JL,' and ZRMU0=',ZRMU0
 
       CALL SRTM_SPCVRT &
@@ -351,5 +351,5 @@
               &)
 
-      !  print *,'SRTM_SRTM_224GP before potential scaling'
+      !  PRINT *,'SRTM_SRTM_224GP before potential scaling'
       !    IF (IOVLP == 3) THEN
       !      DO JK=1,KLEV+1
@@ -362,5 +362,5 @@
       !      ENDDO
       !    ELSE
-      !    print *,'SRTM_SRTM_224GP after potential scaling'
+      !    PRINT *,'SRTM_SRTM_224GP after potential scaling'
       DO JK = 1, KLEV + 1
         PFSUC(JL, 1, JK) = ZADJI0 * ZBBCU(JK)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_srtm_224gp_mcica.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_srtm_224gp_mcica.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_srtm_224gp_mcica.F90	(revision 5160)
@@ -144,5 +144,5 @@
   IOVLP = 3
 
-  !print *,'Entering srtm_srtm_224gp_mcica'
+  !PRINT *,'Entering srtm_srtm_224gp_mcica'
 
   ICLDATM = 1
@@ -159,5 +159,5 @@
       !- coefficients related to the cloud optical properties (original RRTM_SW)
 
-      !  print *,'just before SRTM_CLDPROP'
+      !  PRINT *,'just before SRTM_CLDPROP'
 
       !  DO JK=1,KLEV
@@ -214,5 +214,5 @@
       ENDDO
 
-      !  print *,'ZTOTCC ZCLEAR : ',ZTOTCC,' ',ZCLEAR
+      !  PRINT *,'ZTOTCC ZCLEAR : ',ZTOTCC,' ',ZCLEAR
 
       DO IMOL = 1, ITMOL
@@ -222,5 +222,5 @@
       ENDDO
 
-      !  print *,'just before SRTM_SETCOEF'
+      !  PRINT *,'just before SRTM_SETCOEF'
 
       CALL SRTM_SETCOEF &
@@ -235,5 +235,5 @@
               &)
 
-      !  print *,'just after SRTM_SETCOEF'
+      !  PRINT *,'just after SRTM_SETCOEF'
 
       !- call the radiation transfer routine
@@ -265,5 +265,5 @@
       !- mixing of aerosols
 
-      !  print *,'Aerosol optical properties computations'
+      !  PRINT *,'Aerosol optical properties computations'
       !  DO JSW=1,KSW
       !    print 9012,JSW,(JAE,RSRTAUA(JSW,JAE),RSRPIZA(JSW,JAE),RSRASYA(JSW,JAE),JAE=1,6)
@@ -329,5 +329,5 @@
       ENDDO
 
-      !    print *,'just before calling STRM_SPCVRT for JL=',JL,' and ZRMU0=',ZRMU0
+      !    PRINT *,'just before calling STRM_SPCVRT for JL=',JL,' and ZRMU0=',ZRMU0
 
       CALL SRTM_SPCVRT_MCICA &
@@ -347,5 +347,5 @@
       !     & )
 
-      !  print *,'SRTM_SRTM_224GP before potential scaling'
+      !  PRINT *,'SRTM_SRTM_224GP before potential scaling'
       !    IF (IOVLP == 3) THEN
       !      DO JK=1,KLEV+1
@@ -358,5 +358,5 @@
       !      ENDDO
       !    ELSE
-      !    print *,'SRTM_SRTM_224GP after potential scaling'
+      !    PRINT *,'SRTM_SRTM_224GP after potential scaling'
       DO JK = 1, KLEV + 1
         PFSUC(JL, 1, JK) = ZADJI0 * ZBBCU(JK)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_vrtqdr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_vrtqdr.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/srtm_vrtqdr.F90	(revision 5160)
@@ -114,5 +114,5 @@
 !  print 9201,PRUP(KLEV),PRUPD(KLEV)
 9201 format(1x,'link surf:',6E13.6)
-!  print *,'SRTM_VRTQDR after linking with surface layer'
+!  PRINT *,'SRTM_VRTQDR after linking with surface layer'
 !END IF
     
@@ -134,5 +134,5 @@
   9203 format(1x,'bot2top:',6E13.6)
 ENDDO
-!print *,'SRTM_VRTQDR after passing from bottom to top'
+!PRINT *,'SRTM_VRTQDR after passing from bottom to top'
     
 !-- upper boundary conditions
@@ -146,5 +146,5 @@
 !  print 9204,ZTDN(1),PRDND(1),ZTDN(2),PRDND(2)
 9204 format(1x,'link upper bound:',6E13.6)
-!  print *,'SRTM_VRTQDR after upper boundary conditions'
+!  PRINT *,'SRTM_VRTQDR after upper boundary conditions'
 !END IF
     
@@ -166,5 +166,5 @@
 
 ENDDO
-!print *,'SRTM_VRTQDR after passing from top to bottom'
+!PRINT *,'SRTM_VRTQDR after passing from top to bottom'
                                               
 !-- up and down-welling fluxes at levels
@@ -190,7 +190,7 @@
 
 ENDDO
-!print *,'SRTM_VRTQDR after up and down flux'
+!PRINT *,'SRTM_VRTQDR after up and down flux'
    
-!print *,'SRTM_VRTQDR about to come out'
+!PRINT *,'SRTM_VRTQDR about to come out'
 !     ------------------------------------------------------------------
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/su_aerw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/su_aerw.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/su_aerw.F90	(revision 5160)
@@ -90,5 +90,5 @@
 !                   ----------------------------
 
-print *,'DANS SU_AERW'
+PRINT *,'DANS SU_AERW'
 NBINAER(:) = (/ 3, 3, 2, 2, 1, 1, 1, 1, 1 /)
 
@@ -166,7 +166,7 @@
 
   CALL SU_AERP
-print *,'SU_AERW: apres SU_AERP'
+PRINT *,'SU_AERW: apres SU_AERP'
   CALL SU_AEROP
-print *,'SU_AERW: apres SU_AEROP'
+PRINT *,'SU_AERW: apres SU_AEROP'
 
 IF (LEPAERO) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sucst.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sucst.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sucst.F90	(revision 5160)
@@ -202,11 +202,11 @@
 RBETW=RLVTT/RV+RGAMW*RTT
 RALPW=LOG(RESTT)+RBETW/RTT+RGAMW*LOG(RTT)
-print *,'SUCST: RESTT,RBETW,RTT,RGAMW',RESTT,RBETW,RTT,RGAMW
-print *,'SUCST: RALPW',RALPW
+PRINT *,'SUCST: RESTT,RBETW,RTT,RGAMW',RESTT,RBETW,RTT,RGAMW
+PRINT *,'SUCST: RALPW',RALPW
 RGAMS=(RCS-RCPV)/RV
 RBETS=RLSTT/RV+RGAMS*RTT
 RALPS=LOG(RESTT)+RBETS/RTT+RGAMS*LOG(RTT)
-print *,'SUCST: RESTT,RBETS,RTT,RGAMS',RESTT,RBETS,RTT,RGAMS
-print *,'SUCST: RALPS',RALPS
+PRINT *,'SUCST: RESTT,RBETS,RTT,RGAMS',RESTT,RBETS,RTT,RGAMS
+PRINT *,'SUCST: RALPS',RALPS
 RGAMS=(RCS-RCPV)/RV
 RGAMD=RGAMS-RGAMW
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suecrad.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suecrad.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suecrad.F90	(revision 5160)
@@ -295,5 +295,5 @@
   NRADIP = 3            ! before 3?R1 default=2     3
   NRADLP = 2            ! before 3?R1 default=2    2
-  print *, 'SUECRAD: NRADLP, NRADIP=', NRADLP, NRADIP
+  PRINT *, 'SUECRAD: NRADLP, NRADIP=', NRADLP, NRADIP
   RRe2De = 0.64952_JPRB ! before 3?R1 default=0.5_JPRB
 
@@ -345,5 +345,5 @@
   !- interaction radiation / prognostic O3 off by default
   LEPO3RA = .FALSE.
-  print *, 'SUECRAD-0'
+  PRINT *, 'SUECRAD-0'
   IF (.NOT.YO3%LGP) THEN
     LEPO3RA = .FALSE.
@@ -407,5 +407,5 @@
     NOVLP = 1
   END SELECT
-  print *, 'SUECRAD: NOVLP=', NOVLP
+  PRINT *, 'SUECRAD: NOVLP=', NOVLP
   NLW = 16
   NTSW = 14
@@ -462,9 +462,9 @@
   RCCFC11 = CFC11_ppt * 1.0e-12
   RCCFC12 = CFC12_ppt * 1.0e-12
-  !print *,'LMDZSUECRAD-1 RCCO2=',RCCO2
-  !print *,'LMDZSUECRAD-1 RCCH4=',RCCH4
-  !print *,'LMDZSUECRAD-1 RCN2O=',RCN2O
-  !print *,'LMDZSUECRAD-1 RCCFC11=',RCCFC11
-  !print *,'LMDZSUECRAD-1 RCCFC12=',RCCFC12
+  !PRINT *,'LMDZSUECRAD-1 RCCO2=',RCCO2
+  !PRINT *,'LMDZSUECRAD-1 RCCH4=',RCCH4
+  !PRINT *,'LMDZSUECRAD-1 RCN2O=',RCN2O
+  !PRINT *,'LMDZSUECRAD-1 RCCFC11=',RCCFC11
+  !PRINT *,'LMDZSUECRAD-1 RCCFC12=',RCCFC12
   !     ------------------------------------------------------------------
 
@@ -474,5 +474,5 @@
   !CALL POSNAM(NULNAM,'NAERAD')
   !READ (NULNAM,NAERAD)
-  print *, 'SUECRAD-2'
+  PRINT *, 'SUECRAD-2'
 
   !CALL POSNAM(NULNAM,'NAEAER')
@@ -510,5 +510,5 @@
     RSWINHF = 0.7_JPRB
   ENDIF
-  print *, 'SUECRAD-3'
+  PRINT *, 'SUECRAD-3'
 
   !- for McICA computations, make sure these parameters are as follows ...
@@ -520,5 +520,5 @@
     CALL SU_McICA
   ENDIF
-  print *, 'SUECRAD-4'
+  PRINT *, 'SUECRAD-4'
 
   IF(LLDEBUG)THEN
@@ -613,5 +613,5 @@
         ENDIF
       ENDIF
-      print *, 'SUECRAD-5'
+      PRINT *, 'SUECRAD-5'
 
       ! test if radiation grid resolution has been set
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suinit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suinit.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suinit.F90	(revision 5160)
@@ -94,5 +94,5 @@
 !          NDLNPR=1: formulation of delta used in non hydrostatic model,
 NDLNPR=0
-print *,'SUINIT: RHYDR0 NDLNPR',RHYDR0,NDLNPR
+PRINT *,'SUINIT: RHYDR0 NDLNPR',RHYDR0,NDLNPR
 
 !----------------------------------------------------------------
@@ -114,5 +114,5 @@
 NSSSSS=0  ! LMDZ demarre tjrs a 00h -- MPL 15.04.09
 CALL SUCST(6,NINDAT,NSSSSS,1)
-print *,'SUINIT: NINDAT, NSSSSS',NINDAT, NSSSSS
+PRINT *,'SUINIT: NINDAT, NSSSSS',NINDAT, NSSSSS
 
 IF (LLDEBUG) THEN
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suovlp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suovlp.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suovlp.F90	(revision 5160)
@@ -43,5 +43,5 @@
 DO JK=1,KLEV
   RA1OVLP(JK)=RAOVLP*STZ(JK)+RBOVLP
-  print *,'SU_OVLP: JK RAOVLP STZ RBOVLP:',JK,RAOVLP,STZ(JK),RBOVLP
+  PRINT *,'SU_OVLP: JK RAOVLP STZ RBOVLP:',JK,RAOVLP,STZ(JK),RBOVLP
 ENDDO  
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphec.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphec.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphec.F90	(revision 5160)
@@ -190,5 +190,5 @@
 !  VAH(JLEV)=ap(JLEV+1)ap(JLEV+1)
 !  VBH(JLEV)=bp(JLEV+1)
-!  print *,'SUPHEC: jlev ap bp',JLEV,ap(JLEV+1),bp(JLEV+1)
+!  PRINT *,'SUPHEC: jlev ap bp',JLEV,ap(JLEV+1),bp(JLEV+1)
    VAH(JLEV)=ap(NFLEVG+1-JLEV)
    VBH(JLEV)=bp(NFLEVG+1-JLEV)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphmf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphmf.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphmf.F90	(revision 5160)
@@ -93,21 +93,21 @@
 
 IF (LHOOK) CALL DR_HOOK('SUPHMF',0,ZHOOK_HANDLE)
-print *,'SUPHMF: avant SU0PHY'
+PRINT *,'SUPHMF: avant SU0PHY'
 CALL SU0PHY(KULOUT)
-print *,'SUPHMF: avant SUPHY0'
+PRINT *,'SUPHMF: avant SUPHY0'
 CALL SUPHY0(KULOUT)
-print *,'SUPHMF: avant SUPHY1'
+PRINT *,'SUPHMF: avant SUPHY1'
 CALL SUPHY1(KULOUT)
-print *,'SUPHMF: avant SUPHY2'
+PRINT *,'SUPHMF: avant SUPHY2'
 CALL SUPHY2(KULOUT)
-print *,'SUPHMF: avant SUPHY3'
+PRINT *,'SUPHMF: avant SUPHY3'
 CALL SUPHY3(KULOUT)
-print *,'SUPHMF: avant SUTOPH'
+PRINT *,'SUPHMF: avant SUTOPH'
 CALL SUTOPH(KULOUT)
-print *,'SUPHMF: avant VAL923'
+PRINT *,'SUPHMF: avant VAL923'
 
 CALL VAL923(LSOLV)
 
-print *,'SUPHMF: avant SUCAPE'
+PRINT *,'SUPHMF: avant SUCAPE'
 CALL SUCAPE(KULOUT)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphy.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/suphy.F90	(revision 5160)
@@ -97,8 +97,8 @@
 !              --------------------
 
-print *,'---- SUPHY: avant SUPHMF'
+PRINT *,'---- SUPHY: avant SUPHMF'
 CALL SUPHMF(KULOUT)
 
-print *,'---- SUPHY: avant SUGFL'
+PRINT *,'---- SUPHY: avant SUGFL'
 !SUGFL: Set up unified_treatment grid-point fields
 CALL SUGFL
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw1s.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw1s.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/sw1s.F90	(revision 5160)
@@ -191,5 +191,5 @@
 !   IKL = KLEV+1-JK
 !   DO JL = KIDIA,KFDIA
-!   print *,'Apres SWCLR,SWR RMU0 RMUE ',ZRMU0(JL,IKL),ZRMUE(JL,IKL)
+!   PRINT *,'Apres SWCLR,SWR RMU0 RMUE ',ZRMU0(JL,IKL),ZRMUE(JL,IKL)
 !   ENDDO
 ! ENDDO
@@ -303,5 +303,5 @@
 
 ELSEIF (NSW == 6) THEN
-!print *,'... dans SW1S: NSW=',NSW
+!PRINT *,'... dans SW1S: NSW=',NSW
 
 !*         3.2   SIX SPECTRAL INTERVALS
@@ -425,5 +425,5 @@
       PCU(JL,JK) = ZDIRF(JL) * RSUN(KNU)
 !WRITE(*,'("---> Dans SW1S:")')
-!print *,'===JL= ',jl
+!PRINT *,'===JL= ',jl
 !WRITE(*,'("ZR1",10E12.5)') (ZR(JL,1))
 !WRITE(*,'("ZR2",10E12.5)') (ZR(JL,2))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swclr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swclr.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swclr.F90	(revision 5160)
@@ -229,5 +229,5 @@
 ! MPLFH : ZTRAY N'EST PAS INITIALISE !!!!! A REVOIR (MPL)
       ZTRAY= PRAYL(JL) * PDSIG(JL,JK)
-!     print *,'>>>>>>> swclr: ZTRAY ',ZTRAY
+!     PRINT *,'>>>>>>> swclr: ZTRAY ',ZTRAY
       ZDENB = ZTRAY + PTAUAZ(JL,JK)*(1.0_JPRB-PPIZAZ(JL,JK)*ZFF)
       ZRATIO=ZTRAY/ZDENB
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swtt1.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swtt1.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swtt1.F90	(revision 5160)
@@ -91,5 +91,5 @@
 DO JA = 1,KABS
   IA=KIND(JA)
-! print *,'SWTT1: KNU', KNU
+! PRINT *,'SWTT1: KNU', KNU
   DO JL = KIDIA,KFDIA
     ZU(JL) = PU(JL,JA)
@@ -98,5 +98,5 @@
      & * ( APAD(KNU,IA,5) + ZU(JL) * (APAD(KNU,IA,6) + ZU(JL)&
      & * ( APAD(KNU,IA,7) ))))))  
-!    print *,'SWTT1 ZU APAD',IA,ZU(JL),APAD(KNU,IA,1),APAD(KNU,IA,2),&
+!    PRINT *,'SWTT1 ZU APAD',IA,ZU(JL),APAD(KNU,IA,1),APAD(KNU,IA,2),&
 !    &APAD(KNU,IA,3),APAD(KNU,IA,4),APAD(KNU,IA,5),APAD(KNU,IA,6),APAD(KNU,IA,7)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swu.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swu.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swu.F90	(revision 5160)
@@ -180,7 +180,7 @@
     ZO175(JL) = ZN175(JL)
     ZO190(JL) = ZN190(JL)
-!print *,'SWU: RTH2O RTDH2O RTUMG RTDUMG',RTH2O,RTDH2O,RTUMG,RTDUMG
-!print *,'SWU: RPNH ZDSH2O ZWH2O ZRTH',RPNH,ZDSH2O,ZWH2O,ZRTH
-!print *,'SWU: RPNU ZDSCO2 PCARDI ZRTU',RPNU,ZDSCO2,PCARDI,ZRTU
+!PRINT *,'SWU: RTH2O RTDH2O RTUMG RTDUMG',RTH2O,RTDH2O,RTUMG,RTDUMG
+!PRINT *,'SWU: RPNH ZDSH2O ZWH2O ZRTH',RPNH,ZDSH2O,ZWH2O,ZRTH
+!PRINT *,'SWU: RPNU ZDSCO2 PCARDI ZRTU',RPNU,ZDSCO2,PCARDI,ZRTU
 
 !++MODIFCODE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swuvo3.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swuvo3.F90	(revision 5159)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/rrtm/swuvo3.F90	(revision 5160)
@@ -90,5 +90,5 @@
 LLDEBUG=.FALSE.
 
-!print *,'Dans SWUVO3, N_VMASS= ',N_VMASS
+!PRINT *,'Dans SWUVO3, N_VMASS= ',N_VMASS
 IF(N_VMASS > 0) THEN
   JLEN=KFDIA-KIDIA+N_VMASS-MOD(KFDIA-KIDIA,N_VMASS)
